Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.substitute
Class FontQualifier

    java.lang.Object
      org.apache.fop.fonts.substitute.FontQualifier

    public class FontQualifier

extends java.lang.Object

Encapsulates a font substitution qualifier

Constructor Summary
`FontQualifier()` Default constructor

Method Summary
`protected FontTriplet` | `bestMatch(FontInfo fontInfo)` Returns the highest priority matching font triplet found in a given font info
`AttributeValue` | `getFontFamily()`
`AttributeValue` | `getFontStyle()`
`AttributeValue` | `getFontWeight()`
`java.util.List<FontTriplet>` | `getTriplets()`
`boolean` | `hasFontStyle()`
`boolean` | `hasFontWeight()`
`protected java.util.List<FontTriplet>` | `match(FontInfo fontInfo)` Returns a list of matching font triplet found in a given font info
`void` | `setFontFamily(java.lang.String fontFamily)` Sets the font family
`void` | `setFontStyle(java.lang.String fontStyle)` Sets the font style
`void` | `setFontWeight(java.lang.String fontWeight)` Sets the font weight
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontQualifier

    public FontQualifier()

  Default constructor

Method Detail

### setFontFamily

    public void setFontFamily(java.lang.String fontFamily)

  Sets the font family

  Parameters:
    `fontFamily` - the font family

### setFontStyle

    public void setFontStyle(java.lang.String fontStyle)

  Sets the font style

  Parameters:
    `fontStyle` - the font style

### setFontWeight

    public void setFontWeight(java.lang.String fontWeight)

  Sets the font weight

  Parameters:
    `fontWeight` - the font weight

### getFontFamily

    public AttributeValue getFontFamily()

  Returns:
    the font family attribute

### getFontStyle

    public AttributeValue getFontStyle()

  Returns:
    the font style attribute

### getFontWeight

    public AttributeValue getFontWeight()

  Returns:
    the font weight attribute

### hasFontWeight

    public boolean hasFontWeight()

  Returns:
    true if this rule has a font weight

### hasFontStyle

    public boolean hasFontStyle()

  Returns:
    true if this rule has a font style

### match

    protected java.util.List<FontTriplet> match(FontInfo fontInfo)

  Returns a list of matching font triplet found in a given font info

  Parameters:
    `fontInfo` - the font info
  Returns:
    a list of matching font triplets

### bestMatch

    protected FontTriplet bestMatch(FontInfo fontInfo)

  Returns the highest priority matching font triplet found in a given font info

  Parameters:
    `fontInfo` - the font info
  Returns:
    the highest priority matching font triplet

### getTriplets

    public java.util.List<FontTriplet> getTriplets()

  Returns:
    a list of font triplets matching this qualifier

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.